function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import { Profile as AtlaskitProfile, SignIn } from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/atlassian-navigation.js";
import Popup from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/popup.js";
import { LinkItem, MenuGroup, Section } from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/menu.js";
import Tooltip from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/tooltip.js";
import styled from "/apps/websight-atlaskit-esm/web-resources/styled-components.js";
import authContextAware from "/apps/websight-rest-atlaskit-client/web-resources/js/AuthContextAware.js";
const Icon = styled.i`
    border-radius: 50%;
    width: 24px;
    height: 24px;
`;

class Profile extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      isOpenForProfile: false
    };
    this.profileMenu = this.profileMenu.bind(this);
  }

  profileMenu() {
    return /*#__PURE__*/React.createElement(MenuGroup, null, /*#__PURE__*/React.createElement(Section, {
      hasSeparator: true
    }, /*#__PURE__*/React.createElement(LinkItem, {
      href: "/system/sling/logout?resource=/"
    }, "Log out")));
  }

  render() {
    const {
      isOpenForProfile
    } = this.state;
    const {
      authContext
    } = this.props;

    if (!authContext.isInitialized()) {
      return /*#__PURE__*/React.createElement(React.Fragment, null);
    } else {
      return authContext.isLoggedIn() ? /*#__PURE__*/React.createElement(Popup, {
        content: this.profileMenu,
        isOpen: isOpenForProfile,
        placement: "bottom-start",
        onClose: () => this.setState({
          isOpenForProfile: false
        }),
        trigger: triggerProps => /*#__PURE__*/React.createElement(AtlaskitProfile, _extends({}, triggerProps, {
          icon: /*#__PURE__*/React.createElement(Tooltip, {
            hideTooltipOnClick: true,
            content: 'Logged in as ' + authContext.userId
          }, /*#__PURE__*/React.createElement(Icon, {
            className: "material-icons"
          }, "account_circle")),
          onClick: () => this.setState(prevState => ({
            isOpenForProfile: !prevState.isOpenForProfile
          })),
          isSelected: isOpenForProfile
        }))
      }) : /*#__PURE__*/React.createElement(SignIn, {
        tooltip: "Log in",
        href: `/system/sling/login?resource=${window.location.pathname}`
      });
    }
  }

}

export default authContextAware(Profile);