import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import TableItemsCountInfo from "/apps/websight-admin/web-resources/components/TableItemsCountInfo.js";
import CloseableSectionMessage from "./CloseableSectionMessage.js";

const PackagesCountInfo = props => {
  const {
    numberOfFoundPackages,
    packagesLimit,
    packagesLimitExceeded
  } = props;
  return /*#__PURE__*/React.createElement(React.Fragment, null, packagesLimitExceeded && /*#__PURE__*/React.createElement(CloseableSectionMessage, {
    id: "packages-limit-reached-message",
    appearance: "warning"
  }, /*#__PURE__*/React.createElement("p", null, "Sorting is disabled due to the high number of packages in this view (more than ", packagesLimit, ")")), /*#__PURE__*/React.createElement(TableItemsCountInfo, {
    isHidden: numberOfFoundPackages === null || packagesLimitExceeded,
    itemName: "package",
    numberOfFoundItems: numberOfFoundPackages
  }));
};

export default PackagesCountInfo;