function _extends() { _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; }; return _extends.apply(this, arguments); }

import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import { Checkbox } from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/checkbox.js";
import { Fieldset } from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/form.js";
import Select from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/select.js";
import { DragDropContext, Droppable } from "/apps/websight-atlaskit-esm/web-resources/react-beautiful-dnd.js";
import styled from "/apps/websight-atlaskit-esm/web-resources/styled-components.js";
import { acHandlingSelectOptions } from "../../utils/PackageManagerConstants.js";
import { getOptionByValue, reorderCollection } from "../../utils/CommonUtils.js";
import { AddButton } from "../AddButton.js";
import PackageDependencyRow from "./PackageDependencyRow.js";
const AdvancedTabContainer = styled.div`
    margin: 10px 0 20px;
    width: 100%;
`;
export default class PackageModalAdvancedTab {
  constructor(props) {
    this.props = props;
    this.addDependency = this.addDependency.bind(this);
    this.removeDependency = this.removeDependency.bind(this);
    this.updateDependency = this.updateDependency.bind(this);
    this.onDependencyDragEnd = this.onDependencyDragEnd.bind(this);
  }

  addDependency() {
    const updatedDependencies = [...this.props.dependencies, ''];
    this.props.updateDependencies(updatedDependencies);
  }

  removeDependency(indexToRemove) {
    const updatedDependencies = this.props.dependencies.filter((dependency, index) => index !== indexToRemove);
    this.props.updateDependencies(updatedDependencies);
  }

  updateDependency(indexToUpdate, newValue) {
    const updatedDependencies = this.props.dependencies.map((dependency, index) => index === indexToUpdate ? newValue : dependency);
    this.props.updateDependencies(updatedDependencies);
  }

  onDependencyDragEnd(result) {
    if (!result.destination) {
      return;
    }

    const sourceIndex = result.source.index;
    const destIndex = result.destination.index;
    this.props.updateDependencies(reorderCollection(this.props.dependencies, sourceIndex, destIndex));
  }

  render() {
    const {
      packageData
    } = this.props;
    return /*#__PURE__*/React.createElement(AdvancedTabContainer, null, /*#__PURE__*/React.createElement(Checkbox, {
      hideLabel: true,
      label: "Requires restart",
      name: "requiresRestart",
      defaultValue: packageData.requiresRestart,
      defaultChecked: packageData.requiresRestart,
      value: "true"
    }), /*#__PURE__*/React.createElement(Select, {
      label: "AC Handling",
      placeholder: "",
      name: "acHandling",
      options: acHandlingSelectOptions,
      defaultValue: getOptionByValue(packageData.acHandling, acHandlingSelectOptions),
      menuPortalTarget: document.body,
      styles: {
        menuPortal: base => ({ ...base,
          zIndex: 9999
        })
      }
    }), /*#__PURE__*/React.createElement(Fieldset, {
      legend: "Dependencies"
    }, /*#__PURE__*/React.createElement(DragDropContext, {
      onDragEnd: this.onDependencyDragEnd
    }, /*#__PURE__*/React.createElement(Droppable, {
      droppableId: "package-droppable-dependencies"
    }, provided => /*#__PURE__*/React.createElement("div", _extends({
      ref: provided.innerRef
    }, provided.droppableProps), this.props.dependencies.map((dependency, dependencyIndex) => /*#__PURE__*/React.createElement(PackageDependencyRow, {
      key: dependencyIndex,
      dependencyIndex: dependencyIndex,
      dependency: dependency,
      onChange: data => this.updateDependency(dependencyIndex, data),
      onRemove: () => this.removeDependency(dependencyIndex)
    })), provided.placeholder))), /*#__PURE__*/React.createElement(AddButton, {
      onClick: this.addDependency,
      style: {
        margin: '10px 0 0',
        padding: '5px 10px'
      }
    }, "Add Dependency")));
  }

}