import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import { AutoDismissFlag } from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/flag.js";
export default class NotificationFlag extends React.Component {
  constructor(props) {
    super(props);
    const {
      id,
      icon,
      title,
      message,
      actions,
      iconStyle
    } = this.props;
    this.state = {
      id: id,
      icon: icon,
      iconStyle: iconStyle,
      title: title || '',
      message: message || '',
      actions: actions || []
    };
  }

  getIcon() {
    return /*#__PURE__*/React.createElement("i", {
      className: "material-icons",
      style: this.state.iconStyle
    }, this.state.icon);
  }

  render() {
    const actions = this.state.actions.map(action => {
      const onClick = action.onClick;

      action.onClick = () => {
        onClick();
        this.props.handleDismiss();
      };

      return action;
    });
    return /*#__PURE__*/React.createElement(AutoDismissFlag, {
      id: this.state.id,
      title: this.state.title,
      description: /*#__PURE__*/React.createElement("div", {
        style: {
          overflow: 'auto',
          'max-height': '100px'
        }
      }, this.state.message),
      key: this.state.id,
      icon: this.getIcon(),
      actions: actions
    });
  }

}