import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import { HashRouter, Redirect, Route, Switch } from "/apps/websight-atlaskit-esm/web-resources/react-router-dom.js";
import { ContainerHeader, HeaderSection, LayoutManager, NavigationProvider } from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/navigation-next.js";
import NavigationMenu from "./components/NavigationMenu.js";
import { PageContentContainer } from "/apps/websight-admin/web-resources/Containers.js";
import GlobalNavigation from "/apps/websight-admin/web-resources/GlobalNavigation.js";
import { AvatarIcon } from "/apps/websight-admin/web-resources/Icons.js";
import Footer from "/apps/websight-admin/web-resources/Footer.js";
import SwaggerBrowserService from "./services/SwaggerBrowserService.js";
import { SWAGGER_BROWSER_ROOT_PATH } from "./utils/Constants.js";

const NavigationHeader = () => /*#__PURE__*/React.createElement(HeaderSection, null, ({
  css
}) => /*#__PURE__*/React.createElement("div", {
  style: { ...css,
    paddingBottom: 20
  }
}, /*#__PURE__*/React.createElement(ContainerHeader, {
  before: () => /*#__PURE__*/React.createElement(AvatarIcon, {
    className: "material-icons"
  }, "description"),
  href: SWAGGER_BROWSER_ROOT_PATH,
  text: "Swagger API Documentation"
})));

const iframeStyle = {
  minHeight: 'inherit',
  width: '100%',
  border: 'none'
};
export default class SwaggerBrowser extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      specs: []
    };
  }

  componentDidMount() {
    this.getSpecs();
  }

  getSpecs() {
    const onSuccess = (data = {
      specs: []
    }) => {
      this.setState(() => ({
        specs: data.entity
      }));
    };

    this.setState(() => SwaggerBrowserService.getSpecs(onSuccess));
  }

  render() {
    const {
      specs
    } = this.state;
    return /*#__PURE__*/React.createElement(HashRouter, null, /*#__PURE__*/React.createElement(NavigationProvider, null, /*#__PURE__*/React.createElement(LayoutManager, {
      key: "layout-manager",
      globalNavigation: GlobalNavigation,
      productNavigation: () => null,
      containerNavigation: () => /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(NavigationHeader, null), /*#__PURE__*/React.createElement(NavigationMenu, {
        key: "leftNavigation",
        specs: specs
      })),
      experimental_horizontalGlobalNav: true
    }, /*#__PURE__*/React.createElement(PageContentContainer, null, /*#__PURE__*/React.createElement(Switch, null, specs && specs.length > 0 && /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(Route, {
      exact: true,
      path: "/",
      render: () => /*#__PURE__*/React.createElement(Redirect, {
        to: specs[0].location
      })
    }), specs.map((value, index) => {
      return /*#__PURE__*/React.createElement(Route, {
        key: index,
        path: value.location,
        render: () => /*#__PURE__*/React.createElement("iframe", {
          style: iframeStyle,
          src: value.location
        })
      });
    })))), /*#__PURE__*/React.createElement(Footer, null))));
  }

}