import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import { Route } from "/apps/websight-atlaskit-esm/web-resources/react-router-dom.js";
import { ConnectedItem, Item, MenuSection } from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/navigation-next.js";

const RoutedLinkItem = ({
  itemComponent: Component = ConnectedItem,
  to,
  subText,
  text
}) => {
  return /*#__PURE__*/React.createElement(Route, {
    render: () => /*#__PURE__*/React.createElement(Component, {
      component: () => /*#__PURE__*/React.createElement(Item, {
        before: () => /*#__PURE__*/React.createElement("i", {
          className: "material-icons"
        }, "description"),
        text: text,
        href: '#' + to,
        subText: subText,
        isSelected: location.hash === '#' + to || location.hash.startsWith('#' + to + '/')
      })
    })
  });
};

function shortenName(name) {
  const result = name.startsWith('WebSight') ? name.substring(9, name.length) : name;
  return result.endsWith('Service') ? result.substring(0, result.length - 8) : result;
}

export default function NavigationMenu(props) {
  return /*#__PURE__*/React.createElement(MenuSection, null, ({
    className
  }) => /*#__PURE__*/React.createElement("div", {
    className: className
  }, props.specs && props.specs.map((value, index) => {
    return /*#__PURE__*/React.createElement(RoutedLinkItem, {
      key: index,
      text: shortenName(value.bundleName),
      subText: value.bundleSymbolicName,
      to: value.location
    });
  })));
}