import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import Tooltip from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/tooltip.js";
export default class EllipsisSpanWithTooltip extends React.Component {
  constructor(props) {
    super(props);
    this.state = {
      overflowActive: false
    };
  }

  componentDidMount() {
    this.setState({
      overflowActive: this.isEllipsisActive(this.spanContainer)
    });
  }

  isEllipsisActive(element) {
    return element.offsetHeight < element.scrollHeight || element.offsetWidth < element.scrollWidth;
  }

  render() {
    const {
      overflowActive
    } = this.state;
    return /*#__PURE__*/React.createElement("div", {
      style: {
        textOverflow: 'ellipsis',
        whiteSpace: 'nowrap',
        overflow: 'hidden'
      },
      ref: ref => this.spanContainer = ref
    }, overflowActive ? /*#__PURE__*/React.createElement(Tooltip, {
      content: this.props.text,
      tag: "span"
    }, /*#__PURE__*/React.createElement("span", null, this.props.text)) : /*#__PURE__*/React.createElement("span", null, this.props.text));
  }

}