import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import Select from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/select.js";
import { FilterOptionsContainer, FilterPatternContainer, FilterSortByContainer, HeaderFiltersContainer } from "/apps/websight-admin/web-resources/Containers.js";
import AuthorizableAutosuggestion from "/apps/websight-autosuggestion-esm/web-resources/AuthorizableAutosuggestion.js";
import GroupAutosuggestion from "/apps/websight-autosuggestion-esm/web-resources/GroupAutosuggestion.js";
import { debounce } from "/apps/websight-admin/web-resources/Utils.js";
import StatefulFilterInput from "/apps/websight-admin/web-resources/components/StatefulFilterInput.js";
const sortByOptions = [{
  label: 'ID [A-Z]',
  value: {
    sortBy: 'id',
    sortDirection: 'ASC'
  }
}, {
  label: 'ID [Z-A]',
  value: {
    sortBy: 'id',
    sortDirection: 'DESC'
  }
}, {
  label: 'Name [A-Z]',
  value: {
    sortBy: 'displayName',
    sortDirection: 'ASC'
  }
}, {
  label: 'Name [Z-A]',
  value: {
    sortBy: 'displayName',
    sortDirection: 'DESC'
  }
}];
export default class GroupHeaderBottomBar extends React.Component {
  constructor(props) {
    super(props);
    this.onChange = this.onChange.bind(this);
  }

  onChange(props) {
    this.props.onParamsChange(props);
  }

  get sortByValue() {
    return sortByOptions.find(option => option.value.sortBy === this.props.params.sortBy && option.value.sortDirection === this.props.params.sortDirection);
  }

  render() {
    const {
      params
    } = this.props;
    return /*#__PURE__*/React.createElement(HeaderFiltersContainer, null, /*#__PURE__*/React.createElement(FilterPatternContainer, null, /*#__PURE__*/React.createElement(StatefulFilterInput, {
      onClear: () => {
        this.onChange({
          filter: ''
        });
      },
      onChange: event => {
        const targetValue = event.target.value;
        this.debounceFilterTimerId = debounce(() => this.onChange({
          filter: targetValue
        }), this.debounceFilterTimerId);
      },
      value: params.filter
    })), /*#__PURE__*/React.createElement(FilterOptionsContainer, null, /*#__PURE__*/React.createElement(GroupAutosuggestion, {
      value: params.parentGroups,
      isMulti: true,
      spacing: "compact",
      placeholder: "In group",
      onChange: selectedOptions => {
        this.onChange({
          parentGroups: selectedOptions || []
        });
      }
    })), /*#__PURE__*/React.createElement(FilterOptionsContainer, null, /*#__PURE__*/React.createElement(AuthorizableAutosuggestion, {
      value: params.members,
      isMulti: true,
      noOptionsMessage: inputValue => `No members found for "${inputValue}"`,
      noOptionEmptyMessage: "Start typing to find a member",
      spacing: "compact",
      placeholder: "With member",
      onChange: selectedOptions => {
        this.onChange({
          members: selectedOptions || []
        });
      }
    })), /*#__PURE__*/React.createElement(FilterSortByContainer, null, /*#__PURE__*/React.createElement(Select, {
      onChange: selectedOption => {
        this.onChange({ ...selectedOption.value
        });
      },
      options: sortByOptions,
      placeholder: "Sort By",
      spacing: "compact",
      value: this.sortByValue
    })));
  }

}