import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import Select from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/select.js";
import { FilterPatternContainer, FilterSortByContainer, HeaderFiltersContainer } from "/apps/websight-admin/web-resources/Containers.js";
import { debounce } from "/apps/websight-admin/web-resources/Utils.js";
import StatefulFilterInput from "/apps/websight-admin/web-resources/components/StatefulFilterInput.js";
const sortByOptions = [{
  label: 'ID [A-Z]',
  value: {
    sortDirection: 'ASC'
  }
}, {
  label: 'ID [Z-A]',
  value: {
    sortDirection: 'DESC'
  }
}];
export default class SystemUserHeaderBottomBar extends React.Component {
  constructor(props) {
    super(props);
    this.onChange = this.onChange.bind(this);
  }

  onChange(props) {
    this.props.onParamsChange(props);
  }

  get sortByValue() {
    return sortByOptions.find(option => option.value.sortDirection === this.props.params.sortDirection);
  }

  render() {
    const {
      params
    } = this.props;
    return /*#__PURE__*/React.createElement(HeaderFiltersContainer, null, /*#__PURE__*/React.createElement(FilterPatternContainer, null, /*#__PURE__*/React.createElement(StatefulFilterInput, {
      onClear: () => {
        this.onChange({
          filter: ''
        });
      },
      onChange: event => {
        const targetValue = event.target.value;
        this.debounceFilterTimerId = debounce(() => this.onChange({
          filter: targetValue
        }), this.debounceFilterTimerId);
      },
      value: params.filter
    })), /*#__PURE__*/React.createElement(FilterSortByContainer, null, /*#__PURE__*/React.createElement(Select, {
      placeholder: "Sort By",
      spacing: "compact",
      options: sortByOptions,
      value: this.sortByValue,
      onChange: selectedOption => {
        this.onChange({ ...selectedOption.value
        });
      }
    })));
  }

}