import React from "/apps/websight-atlaskit-esm/web-resources/react.js";
import TableTree, { Header, Headers, Rows } from "/apps/websight-atlaskit-esm/web-resources/@atlaskit/table-tree.js";
import { LoadingWrapper } from "/apps/websight-admin/web-resources/Wrappers.js";
import { NoTableDataContainer, TableTopAlignedContainer } from "/apps/websight-admin/web-resources/Containers.js";
import SystemUserRow from "./SystemUserRow.js";
export default class SystemUsersTable extends React.Component {
  render() {
    const {
      users
    } = this.props;
    const tableTreeHeaders = /*#__PURE__*/React.createElement(Headers, null, /*#__PURE__*/React.createElement(Header, {
      width: 'calc(100% - 90px)',
      style: {
        minWidth: '200px',
        paddingLeft: '58px'
      }
    }, "ID"), /*#__PURE__*/React.createElement(Header, {
      width: '90px'
    }, "Actions"));
    return /*#__PURE__*/React.createElement(React.Fragment, null, /*#__PURE__*/React.createElement(TableTree, null, tableTreeHeaders, /*#__PURE__*/React.createElement(LoadingWrapper, {
      isLoading: this.props.isLoading,
      spinnerSize: "large"
    }, /*#__PURE__*/React.createElement(TableTopAlignedContainer, null, /*#__PURE__*/React.createElement(Rows, {
      items: users,
      render: user => /*#__PURE__*/React.createElement(SystemUserRow, {
        user: user,
        onUpdate: () => this.props.refreshUsers(),
        onAuthorizableAction: this.props.onAuthorizableAction,
        extraActions: this.props.extraActions
      })
    })), !this.props.users.length && this.props.isInitialized && /*#__PURE__*/React.createElement(NoTableDataContainer, null, /*#__PURE__*/React.createElement("h3", null, "No users found.")))));
  }

}